/*************************************************************************/
/*************************************************************************/
/*                                                                       */
/*                 OSLab Module 2: Hardware Data Handling                */
/*                                                                       */
/* Note:                                                                 */
/* This has been written explicitly for TestD.c.  Other software might   */
/* require changes to these routines.                                    */
/*************************************************************************/
/*************************************************************************/

#include "..\os.h"
#include "module2.h"

extern int char_count;
extern int time_count;

void clk_1_sec()
{
/*
 - count number of 1 sec ticks (by decrementing time_count)
 - application must check for zero
*/

time_count--;

}

void clk_1_msec() {/* do nothing */ }

void kb_data(unsigned char data)
{
/*
 - count the number of keystrokes
 - display the character
*/

display(2, char_count++, data);

}
